# 48. Fråga: Hämta rutnätsdata från "TopographyMap"

Fråga för att hämta källdata från rasterdatasetet relaterat till "TopographyMap" som `GEOJSON`  med punkter eller `GEOTIFF`. Egenskapsattributet innehåller alla topografiska derivat (som DEM, lutning, reliefdel, ruhet, exponering, hillshade, etc.) per punkt.&#x20;

#### 1. Begär en fil för export

{% hint style="danger" %}
Rekommenderas att endast hämta ett enda dataset med `sourceDataUrl` per förfrågan.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, och `MinusTwoPixels` är tillgängliga som en `buffert`.

`GEOJSON` och `GEOTIFF` är tillgängliga som ett format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Ladda ner den genererade filen

Efter att filen har förberetts kan den laddas ner med `curl` eller en liknande metod.

{% hint style="danger" %}
`sourceDataUrl` länken är åtkomlig endast under **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/48.-fraga-hamta-rutnatsdata-fran-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
